
Enduro/X Core - Support #448

xadmin sreload invalid error message

08/20/2019 03:47 PM - Madars

Status: Closed Start date: 08/20/2019

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

[g2b@rbo-mul6-lt3 bin]$ xadmin

Enduro/X 7.0.3, build Aug 18 2019 08:55:47, using epoll for LINUX (64 bits)

Enduro/X Middleware Platform for Distributed Transaction Processing

Copyright (C) 2009-2016 ATR Baltic Ltd.

Copyright (C) 2017-2019 Mavimax Ltd. All Rights Reserved.

This software is released under one of the following licenses:

AGPLv3 or Mavimax license for commercial use.

NDRX 2> stat

* Shared resources opened...

* Enduro/X back-end (ndrxd) is not running

STATUS: Not started

NDRX 2> sreload testsv

* Enduro/X back-end (ndrxd) is not running

* ndrxd PID (from PID file): 68649

* ndrxd idle instance started.

fail, code: 0:

NDRX 2> quit

History

#1 - 02/21/2023 11:43 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

Release notes

Fixed Enduro/X startup checks, so that if doing sreload in idle environment, an error message such as "fail, code: 25: NDRXD_ENOCFGLD (last error

25: No configuration loaded!)" is printed.

Available from Enduro/X release 8.0.8+.

#2 - 02/21/2023 11:44 PM - Madars

- Status changed from Resolved to Closed
